%global packname  httpuv
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          1.3.6.2
Release:          3%{?dist}
Summary:          HTTP and WebSocket Server Library

# Main: GPLv3; http-parser & libuv: MIT; sha1: Public Domain
License:          GPLv3 and MIT and Public Domain
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
# https://github.com/libuv/libuv/pull/215; CVE-2015-0278
Patch0001:        215.patch

# Here's the R view of the dependencies world:
# Depends:   R-methods
# Imports:   R-Rcpp R-utils
# Suggests:
# LinkingTo:
# Enhances:

Requires:         R-methods
Requires:         R-Rcpp R-utils
BuildRequires:    R-devel tex(latex) R-methods
BuildRequires:    R-Rcpp-devel R-utils
# Hopefully will be removable in the next release, which also upgrades the
# internal copies.
Provides:         bundled(http-parser) = 2.0.0
Provides:         bundled(libuv) = 0.10.13

%description
Provides low-level socket and protocol support for handling HTTP and
WebSocket requests directly from within R. It is primarily intended as a
building block for other packages, rather than making it particularly easy
to create complete web applications using httpuv alone. httpuv is built on
top of the libuv and http-parser C libraries, both of which were developed
by Joyent, Inc.


%prep
%setup -q -c -n %{packname}
pushd %{packname}/src/libuv
%patch0001 -p1
popd


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%license %{rlibdir}/%{packname}/LICENSE
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/demo
%{rlibdir}/%{packname}/libs


%changelog
* Thu May 17 2018 Tom Callaway <spot@fedoraproject.org> - 1.3.6.2-3
- rebuild for R 3.5.0

* Fri Mar 09 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.3.6.2-2
- Fix license and changelog

* Fri Mar 09 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.3.6.2-1
- Update to latest version

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Nov 09 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.3.5-2
- Apply patch for CVE-2015-0278

* Tue Oct 31 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.3.5-1
- initial package for Fedora
